cl.cromer.mt

## Class MT

- java.lang.Object
- - javafx.application.Application
  - - cl.cromer.mt.MT

    public class MT
    extends javafx.application.Application

Maquina de Turing

Version:
  1.0.0
Author:
  Christopher Cromer, Carlos Fáundez

### Nested Class Summary

### Nested classes/interfaces inherited from class javafx.application.Application

`javafx.application.Application.Parameters`

### Field Summary

Fields
`static java.lang.String` `version` La version de Maquina de Turing

### Fields inherited from class javafx.application.Application

`STYLESHEET_CASPIAN, STYLESHEET_MODENA`

### Constructor Summary

Constructors
Constructor and Description
`MT()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main(java.lang.String[] args)` El metodo principal del programa
`(package private) static void` `mostrarMensaje(java.lang.String titulo, java.lang.String mensaje)` Se muestra un mensaje con titulo
`void` `start(javafx.stage.Stage primaryStage)` Metodo de JavaFX llamada para generar el interfaz grafico

### Methods inherited from class javafx.application.Application

`getHostServices, getParameters, getUserAgentStylesheet, init, launch, launch, notifyPreloader, setUserAgentStylesheet, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### version

    public static final java.lang.String version

La version de Maquina de Turing

See Also:
  Constant Field Values

### Constructor Detail

#### MT

    public MT()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

El metodo principal del programa

Parameters:
  `args` - Los argumentos pasado al programa

#### mostrarMensaje

    static void mostrarMensaje(java.lang.String titulo,
                               java.lang.String mensaje)

Se muestra un mensaje con titulo

Parameters:
  `titulo` - El titulo de la ventana
  `mensaje` - El mensaje

#### start

    public void start(javafx.stage.Stage primaryStage)
               throws java.lang.Exception

Metodo de JavaFX llamada para generar el interfaz grafico

Specified by:
  `start` in class `javafx.application.Application`
Parameters:
  `primaryStage` - La ventana principal
Throws:
  `java.lang.Exception` - La excepción